//////////////////////////////////////////////////////
// Container.cpp
//////////////////////////////////////////////////////

#include "container.h"

//////////////////////////////////////////////////////
// CContainer()
//////////////////////////////////////////////////////
CContainer::CContainer(void)
{
    m_iGold = 0;
    m_iKeys = 0;
    m_iPotion = 0;
    m_iArmor = 0;
    m_iWeapon = 0;
    m_bLocked = FALSE;
    m_iSector = 0;
    m_iTile = 0;
}

//////////////////////////////////////////////////////
// ~CContainer()
//////////////////////////////////////////////////////
CContainer::~CContainer(void)
{
}

//////////////////////////////////////////////////////
// SetGold()
//////////////////////////////////////////////////////
void CContainer::SetGold(int num)
{
    m_iGold = num;
}

//////////////////////////////////////////////////////
// GetGold()
//////////////////////////////////////////////////////
int CContainer::GetGold()
{
    return m_iGold;
}

//////////////////////////////////////////////////////
// SetKeys()
//////////////////////////////////////////////////////
void CContainer::SetKeys(int num)
{
    m_iKeys = num;
}

//////////////////////////////////////////////////////
// GetKeys()
//////////////////////////////////////////////////////
int CContainer::GetKeys()
{
    return m_iKeys;
}

//////////////////////////////////////////////////////
// SetPotion()
//////////////////////////////////////////////////////
void CContainer::SetPotion(int num)
{
    m_iPotion = num;
}

//////////////////////////////////////////////////////
// GetPotion()
//////////////////////////////////////////////////////
int CContainer::GetPotion()
{
    return m_iPotion;
}

//////////////////////////////////////////////////////
// SetArmor()
//////////////////////////////////////////////////////
void CContainer::SetArmor(int num)
{
    m_iArmor = num;
}

//////////////////////////////////////////////////////
// GetArmor()
//////////////////////////////////////////////////////
int CContainer::GetArmor()
{
    return m_iArmor;
}

//////////////////////////////////////////////////////
// SetWeapon()
//////////////////////////////////////////////////////
void CContainer::SetWeapon(int num)
{
    m_iWeapon = num;
}

//////////////////////////////////////////////////////
// GetWeapon()
//////////////////////////////////////////////////////
int CContainer::GetWeapon()
{
    return m_iWeapon;
}

//////////////////////////////////////////////////////
// SetLocked()
//////////////////////////////////////////////////////
void CContainer::SetLocked(BOOL val)
{
    m_bLocked = val;
}

//////////////////////////////////////////////////////
// GetLocked()
//////////////////////////////////////////////////////
BOOL CContainer::GetLocked()
{
    return m_bLocked;
}

//////////////////////////////////////////////////////
// SetSector()
//////////////////////////////////////////////////////
void CContainer::SetSector(int num)
{
    m_iSector = num;
}

//////////////////////////////////////////////////////
// GetSector()
//////////////////////////////////////////////////////
int CContainer::GetSector()
{
    return m_iSector;
}

//////////////////////////////////////////////////////
// SetTile()
//////////////////////////////////////////////////////
void CContainer::SetTile(int num)
{
    m_iTile = num;
}

//////////////////////////////////////////////////////
// GetTile()
//////////////////////////////////////////////////////
int CContainer::GetTile()
{
    return m_iTile;
}
