////////////////////////////////////////////////////////
// Ganjek.cpp
////////////////////////////////////////////////////////

#include <d3d8.h>
#include "constants.h"
#include "MyEngine.h"
#include "Ganjek.h"

extern CMyEngine g_Engine;

const FIRSTTOWNENTRANCE = 860;
const MAXIMCASTLEENTRANCE = 698;

////////////////////////////////////////////////////////
// HandleGanjek()
////////////////////////////////////////////////////////
void HandleGanjek()
{
    switch (g_Engine.GetPlayer()->GetSector())
    {
    case FIRSTTOWNENTRANCE:
        g_Engine.SaveGame(FALSE);
        g_Engine.GetPlayer()->SetSector(1701);
        g_Engine.OpenMapFiles("FirstTown.map", FALSE);
        g_Engine.SetCurrentMap(FIRSTTOWN);
        g_Engine.GetCDirect3DObj()->SetCurrentTileSurface
            (g_Engine.GetCDirect3DObj()->GetTownExtTileSurface());
        g_Engine.ResetAnimation();
        break;
	case MAXIMCASTLEENTRANCE:
		g_Engine.SaveGame(FALSE);
		//set starting sector
		g_Engine.GetPlayer()->SetSector(1659);
		//load map
		g_Engine.OpenMapFiles("MaximCastle.map",FALSE);
		//set current map to new location ID
		g_Engine.SetCurrentMap(MAXIMCASTLE);
		//load the tile set
		g_Engine.GetCDirect3DObj()->SetCurrentTileSurface(
			g_Engine.GetCDirect3DObj()->GetTownExtTileSurface());
		g_Engine.ResetAnimation();
		break;
    }
}
