//MAXIM CASTLE
#include "constants.h"
#include "MyEngine.h"
#include "MaximCastle.h"

extern CMyEngine g_Engine;
const int EXIT = 1701;

//Handle the castle
void HandleMaximCastle()
{
	switch (g_Engine.GetPlayer()->GetSector())
	{
	case EXIT:
		g_Engine.SaveGame(FALSE);
        g_Engine.GetPlayer()->SetSector(736);
        g_Engine.OpenMapFiles("Verisia.map", FALSE);
        g_Engine.SetCurrentMap(VERISIA);
        g_Engine.GetCDirect3DObj()->SetCurrentTileSurface
            (g_Engine.GetCDirect3DObj()->GetWildernessTileSurface());
        g_Engine.ResetAnimation();
        break;

	}//end switch
}

//Handle Emperor Maximus!  All Hail the Headchopping King!
void HandleBruciusMaximus()
{
	g_Engine.TurnOnPlaque(
		"Welcome, friend!  Defeat the monsters\n, and bring us\n\
		the much needed medicine!");
}

//Handle Elenbogus
void HandleElenbogus()
{
	static int elenbogusCount = 0;

	if(elenbogusCount != 2)
	{
		g_Engine.TurnOnPlaque(
		"I am Elenbogus Algorithmus, Chief\n of the Healing Magi!\n\
		We need your help! Acquire 75 antidotes\n so that we may save\n\
		this land!");
		elenbogusCount++;
	}
	else
	{
				g_Engine.TurnOnPlaque(
		"Oh I almost forgot! \n Here is some gold for you\n\
		(Elenbogus gives you 100 Gold)");
				g_Engine.GetPlayer()->SetGold(
					g_Engine.GetPlayer()->GetGold()+100);
				elenbogusCount++;

	}

}//end elenbogus

//Handle Guard Samson
void HandleSamson()
{
		g_Engine.TurnOnPlaque(
		"I hear that Mage Elenbogus\n remembers things \n\
		better when they come in threes...\n\
		very strange, indeed!");

}//end samson

//Handle Jarek
void HandleJarek()
{
	static int jarekCount = 0;
	if(jarekCount == 0)
	{
	g_Engine.TurnOnPlaque(
		"I am Jarek, Mage Elenbogen's \n\
		personal guard!");
	jarekCount++;
	}
	else
	{
	g_Engine.TurnOnPlaque(
		"He's quite an unusual fellow...\n\
		but don't tell him I said so!");
	}
}//end Jarek

void HandleWinfred()
{	
	static int winfredCount = 0;
	if(winfredCount < 1)
	{
	g_Engine.TurnOnPlaque(
		"Lord Maximus has a temper...\n don't anger him!\n");
		winfredCount++;
	}
	else
	{
		g_Engine.TurnOnPlaque(
		"He might chop your head off if \n\
		you're not careful!");
	}

	
}//end winfred
void HandleGeorgius()
{
	g_Engine.TurnOnPlaque(
		"Welcome to Castle Maximus!");
}